# POST /docmee/v1/api/ppt/savePptx

**Method**: `POST`
**Endpoint**: `/docmee/v1/api/ppt/savePptx`

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
id
string
Required
drawPptx
boolean
Required
drawCover
boolean
Required
pptxProperty
object
Required
Example
{
"id"
:
"string"
,
"drawPptx"
:
true
,
"drawCover"
:
true
,
"pptxProperty"
:
{
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/docmee/v1/api/ppt/savePptx' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": "string",
    "drawPptx": true,
    "drawCover": true,
    "pptxProperty": {}
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
  "code": 0,
  "data": {
    "pptInfo": {
      // provider-specific note
      // provider-specific note
    }
  },
  "message": "Operation succeeded"
}
```
